package cn.edu.whu.boot.xml.dto;

import cn.edu.whu.boot.xml.xmlreader.bean.Layer;

import java.util.List;
import java.util.Map;

/**
 * 封装 XML 文件 <meta> 标签的内容，前端需要字符串样式参考 CommonConstant 注释
 */
public class FrontEndMeta {

    private List<Layer> basemap;
//    private List<Map<String,String>> drawtool;
    private Map<String, List<Map<String,String>>> drawtool;
    private List<Map<String,String>> position;
    private List<Layer> operationLayers;

    public List<Layer> getBasemap()
    {
        return basemap;
    }

    public void setBasemap(List<Layer> basemap)
    {
        this.basemap = basemap;
    }

//    public List<Map<String, String>> getDrawtool()
//    {
//        return drawtool;
//    }
//
//    public void setDrawtool(List<Map<String, String>> drawtool)
//    {
//        this.drawtool = drawtool;
//    }


    public Map<String, List<Map<String,String>>> getDrawtool() {
        return drawtool;
    }

    public void setDrawtool(Map<String, List<Map<String,String>>> drawtool) {
        this.drawtool = drawtool;
    }

    public List<Map<String, String>> getPosition()
    {
        return position;
    }

    public void setPosition(List<Map<String, String>> position)
    {
        this.position = position;
    }

    public List<Layer> getOperationLayers()
    {
        return operationLayers;
    }

    public void setOperationLayers(List<Layer> operationLayers)
    {
        this.operationLayers = operationLayers;
    }
}
